Not just a problem of Ubuntu, it's about php 5.4 and I "think" that happens in any OS